Get device group
curl --request GET \
--url https://api.beta.ontoto.com/v1/device-groups/{uuid} \
--header 'x-api-key: <api-key>'{
"uuid": "<string>",
"name": "<string>",
"description": "<string>",
"orgUuid": "<string>",
"devices": [
{
"deviceKind": "<string>",
"serialNumber": "<string>",
"alias": "<string>",
"description": "<string>",
"name": "<string>",
"orgUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legacyDeviceId": 0,
"location": {
"lat": 123,
"lon": 123
},
"samplingPeriodSeconds": 123,
"txPeriodSeconds": 123,
"state": "<string>",
"health": {
"battery": {
"voltage": 3.72,
"percentage": 87,
"remaining": "10h 15m remaining",
"isCharging": false
},
"connection": {
"lastSeen": "2024-06-15T08:42:11.000Z",
"status": "online",
"signalStrength": {
"rssi": -71,
"rsrp": -95,
"rsrq": -12,
"signalQuality": "good"
},
"error": null,
"txSuccessRate": null,
"txProtocol": null,
"nextTxTimestamp": "2024-06-15T09:42:11.000Z"
},
"sensors": {
"status": "ok",
"metadataError": null,
"errors": [],
"lastDataTimestamp": "2024-06-15T08:41:03.000Z"
},
"powerSource": "<string>"
},
"lastTxTimestamp": "2023-11-07T05:31:56Z",
"product": "<string>",
"hardware": {
"model": "<string>",
"revision": "<string>"
},
"modems": [
{
"type": "<string>",
"model": "<string>",
"imei": "<string>",
"iccid": "<string>",
"uuid": "<string>"
}
],
"firmware": {
"string": "<string>",
"version": "<string>"
},
"tags": [
{
"id": 123,
"name": "<string>",
"colour": "<string>"
}
],
"site": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sensors": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "<string>",
"type": "ph",
"physicalSensor": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serialNumber": "<string>"
},
"connectionType": "external",
"name": "<string>",
"alias": "<string>",
"deviceSerialNumber": "<string>",
"parameters": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sensorUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deviceSerialNumber": "<string>",
"alias": "<string>",
"name": "<string>",
"sourceType": "<string>",
"parameterType": "temperature",
"baseUnit": "<string>",
"displayUnit": "<string>",
"displayPrecision": 123,
"suppressFaults": true,
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"configErrorMessage": "<string>",
"lastFaultSummary": {
"reason": "<string>",
"message": "<string>",
"faultyPointsCount": 123,
"totalPointsCount": 123
},
"lastFaultTimestamp": "2023-11-07T05:31:56Z"
}
],
"channelIndex": 123,
"isActive": true,
"enabled": true,
"lastActivatedAt": "2023-11-07T05:31:56Z",
"lastDeactivatedAt": "2023-11-07T05:31:56Z"
}
],
"queuedCommand": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"gnss": {
"enableLeverArmCompensation": true,
"isBaseStation": true,
"processingMode": "<string>",
"antennaType": "<string>",
"arpHeight": 123,
"azimuth": 123,
"baseStation": {
"id": 123,
"type": "<string>",
"name": "<string>",
"status": "<string>",
"isEnabled": true
},
"lastProcessingStatus": {
"status": "<string>",
"error": "<string>"
},
"lastProcessedAt": "2023-11-07T05:31:56Z"
},
"sharedBy": {
"orgUuid": "<string>",
"orgName": "<string>",
"permissionLevel": "<string>"
}
}
],
"sharedBy": {
"orgUuid": "<string>",
"orgName": "<string>",
"permissionLevel": "<string>"
}
}Device Groups
Get device group
Returns a single device group by UUID, including its member devices.
GET
/
device-groups
/
{uuid}
Get device group
curl --request GET \
--url https://api.beta.ontoto.com/v1/device-groups/{uuid} \
--header 'x-api-key: <api-key>'{
"uuid": "<string>",
"name": "<string>",
"description": "<string>",
"orgUuid": "<string>",
"devices": [
{
"deviceKind": "<string>",
"serialNumber": "<string>",
"alias": "<string>",
"description": "<string>",
"name": "<string>",
"orgUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legacyDeviceId": 0,
"location": {
"lat": 123,
"lon": 123
},
"samplingPeriodSeconds": 123,
"txPeriodSeconds": 123,
"state": "<string>",
"health": {
"battery": {
"voltage": 3.72,
"percentage": 87,
"remaining": "10h 15m remaining",
"isCharging": false
},
"connection": {
"lastSeen": "2024-06-15T08:42:11.000Z",
"status": "online",
"signalStrength": {
"rssi": -71,
"rsrp": -95,
"rsrq": -12,
"signalQuality": "good"
},
"error": null,
"txSuccessRate": null,
"txProtocol": null,
"nextTxTimestamp": "2024-06-15T09:42:11.000Z"
},
"sensors": {
"status": "ok",
"metadataError": null,
"errors": [],
"lastDataTimestamp": "2024-06-15T08:41:03.000Z"
},
"powerSource": "<string>"
},
"lastTxTimestamp": "2023-11-07T05:31:56Z",
"product": "<string>",
"hardware": {
"model": "<string>",
"revision": "<string>"
},
"modems": [
{
"type": "<string>",
"model": "<string>",
"imei": "<string>",
"iccid": "<string>",
"uuid": "<string>"
}
],
"firmware": {
"string": "<string>",
"version": "<string>"
},
"tags": [
{
"id": 123,
"name": "<string>",
"colour": "<string>"
}
],
"site": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sensors": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "<string>",
"type": "ph",
"physicalSensor": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serialNumber": "<string>"
},
"connectionType": "external",
"name": "<string>",
"alias": "<string>",
"deviceSerialNumber": "<string>",
"parameters": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sensorUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deviceSerialNumber": "<string>",
"alias": "<string>",
"name": "<string>",
"sourceType": "<string>",
"parameterType": "temperature",
"baseUnit": "<string>",
"displayUnit": "<string>",
"displayPrecision": 123,
"suppressFaults": true,
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"configErrorMessage": "<string>",
"lastFaultSummary": {
"reason": "<string>",
"message": "<string>",
"faultyPointsCount": 123,
"totalPointsCount": 123
},
"lastFaultTimestamp": "2023-11-07T05:31:56Z"
}
],
"channelIndex": 123,
"isActive": true,
"enabled": true,
"lastActivatedAt": "2023-11-07T05:31:56Z",
"lastDeactivatedAt": "2023-11-07T05:31:56Z"
}
],
"queuedCommand": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"gnss": {
"enableLeverArmCompensation": true,
"isBaseStation": true,
"processingMode": "<string>",
"antennaType": "<string>",
"arpHeight": 123,
"azimuth": 123,
"baseStation": {
"id": 123,
"type": "<string>",
"name": "<string>",
"status": "<string>",
"isEnabled": true
},
"lastProcessingStatus": {
"status": "<string>",
"error": "<string>"
},
"lastProcessedAt": "2023-11-07T05:31:56Z"
},
"sharedBy": {
"orgUuid": "<string>",
"orgName": "<string>",
"permissionLevel": "<string>"
}
}
],
"sharedBy": {
"orgUuid": "<string>",
"orgName": "<string>",
"permissionLevel": "<string>"
}
}Authorizations
Path Parameters
Response
Successful response
A device group for organising devices
Unique identifier for the group
Name of the group
Optional description of the group
Devices in this group, if requested
Show child attributes
Show child attributes
Present when this group is shared from another organisation
Show child attributes
Show child attributes
⌘I